@import url('https://fonts.googleapis.com/css?family=Roboto+Mono');

:root{
    --glow-color: #28e0ff;
    --dark-color: #263238;
}
*{
    box-sizing: border-box;
    /*transition: all .55s ease-in-out;*/
}
body, html{
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
    background: #263238;
}


.after-load{
    height: 100%;
    width: 100%;
}


#pwa-button{
    position: fixed;
    bottom: -50px;
    left: 0px;
    right: 0px;
    height: 50px;
    text-align: center;
    font-size: 18px;
    color: var(--dark-color);
    box-shadow: 0 0 14px -1px black;
    line-height: 14px;
    cursor: pointer;
    letter-spacing: 3px;
    background-color: #fff;
    display: flex;
    justify-content: center;
}

#pwa-button.show{
    bottom: 0px;
    transition-delay: 5s;
    transition-duration: .55s;
}
header{
    width: 100%;
    margin-bottom: 32px;
    box-shadow: 0px 0px 10px -1px #000000;
    background-color: #263238;
    position: relative;
    padding-bottom: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 1;
    height: 50%;
}

header h1{
    margin: 0px;
    text-align: center;
    letter-spacing: 0px;
    color: #fffffff2;
    text-transform: capitalize;
    font-size: 32px;
}
main{
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
    z-index: 0;
    transform: translate(0, -330px);
}

section{
    width: 100%;
    /* margin: auto; */
    text-align: center;
}

.keyboard {
    display: flex;
    justify-content: center;
    margin-bottom: 8px;
}
.key__container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    display: grid;
    grid-template-columns: 50px 50px 50px;
    grid-template-rows: 50px 50px 50px 50px;
    grid-gap: 8px;
}

.key, .reset{
    font-family: 'Roboto Mono', monospace;
    line-height: 42px;
    border: 4px solid #000a12;
    color: #fff;
    background: #000a12;
    font-size: 22px;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 3px 3px 1px -1px #0000004a;
    width: 50px;
    height: 50px;
    outline: none;
}

.key:active,
.reset:active,
.check:active{
    box-shadow: 1px 1px 1px -1px #0000004a;
    outline: none;
}
.reset{
    background: #718792;
    border-color: #718792;
    border: none;
    border-bottom: 5px solid red;
    line-height: 46px;
}
.check{
    font-family: 'Roboto Mono', monospace;
    line-height: 44px;
    font-size: 22px;
    border-radius: 5px;
    cursor: pointer;
    box-shadow: 3px 3px 1px -1px #0000004a;
    outline: none;
    height: 50px;
    background-color: #718792;
    margin-right: 8px;
    color: #fff;
    text-transform: uppercase;
    grid-area: play;
    width: 100%;
    border: none;
    border-bottom: 5px solid green;
}
.display{
    display: flex;
    flex-direction: column;
    align-items: center;
    opacity: 0;
    flex: 1;
    padding-top: 16px;
}
.output{
    padding: 4px 22px;
    /* height: 40px; */
    /* border: 2px solid #000a12; */
    margin-bottom: 8px;
    /* line-height: 36px; */
    letter-spacing: 8px;
    font-family: 'Roboto Mono', monospace;
    color: #fff;
    font-size: 22px;
    border-radius: 30px;
    text-align: center;
    box-shadow: 0 0 14px -2px black;
}

input.key:last-child {
    grid-area: 4/2;
}

section.action-buttons {
    display: flex;
    justify-content: center;
    display: grid;
    grid-template-columns: 50px 50px 50px;
    grid-auto-columns: 50px;
    grid-template-areas: ". play play";
    grid-gap: 8px;
}

.correct {
    /* height: 40px; */
    /* width: 40px; */
    /* border: 2px solid; */
    color: #fff;
    line-height: 21px;
    font-size: 18px;
    font-family: 'Roboto Mono', monospace;
}

.correct__area {
    /* display: flex; */
    /* justify-content: space-between; */
    width: 164px;
}

.correct--titel >p {
    color: #fff;
    text-align: left;
    margin: 0;
    font-size: 18px;
    line-height: 21px;
}

.correct__container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 8px;
    border: 2px solid black;
    border-radius: 22px;
    padding: 4px 12px;
}

.header--title {
    padding: 8px 0px;
    width: 320px;
    color: #fff;
}

.round {
    width: 54px;
    height: 24px;
    box-shadow: 0 0 14px -1px black;
    border-radius: 12px;
    background: #263238;
    /* float: right; */
}

section.functionals {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: -26px;
    padding:  0 16px;
    align-items: center;
}

.round.__counter {
    height: 54px;
    border-radius: 50%;
    transform: scale(1.5);
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    z-index: 1;
}

.round.__counter:after {
    /* content: ""; */
    background: #263238;
    width: 48px;
    height: 24px;
    position: absolute;
    bottom: -3px;
}

.round.__counter>p {
    position: relative;
    z-index: 1;
    font-size: 32px;
    line-height: 54px;
    margin: 0;
    color: #fff;
}

button.check:disabled {
    opacity: .2;
    cursor: default;
}

.round.__settings {
    /*display: none;*/
    color:  #fff;
    line-height: 24px;
    font-family: Roboto monospace;
}

.round.__counter:active {
    box-shadow: 0 0 8px -1px black;
    transition-duration: 0s;
}

.round.__counter > svg {
    color: #28e0ff;
    height: 40%;
    margin-left: 5px;
}

.round.__settings.__digits {
    transform: translate(53px, 0px);
}

.round.__settings.__places {
    transform: translate(-52px, 0px);
}

.user_inputs {
    color: #fff;
    font-family: 'Roboto Mono';
    flex: 1;
    padding: 8px 0px;
    max-width: 164px;
}

.correct--container {
    display: flex;
}

.correct--container>div {
    padding: 0 32px;
}

.correct--container p {
    margin: 0;
    color: #fff;
}

span.user__input {
    padding-left: 8px;
}

aside.descritption {
    color: #fff;
    position: absolute;
    top: 130%;
    padding-left: 8px;
}

aside.descritption li {
    margin-bottom: 4px;
    text-align: left;
}

.header--title span {
    display: block;
    text-transform: lowercase;
    font-size: 18px;
    letter-spacing: 6px;
    margin-bottom: 12vh;
    margin-top: 32px;
}

aside.descritption ol {
    padding-left: 8px;
}
.loader-container{
    position: absolute;
    top: 0px;
    left: 0px;
    bottom: 0px;
    right: 0px;
    background: #263238;
    z-index: 1;
    display: none;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.loader {
    width: 0px;
    height: 4px;
     /* Safari */
    background: var(--glow-color);
    animation: spin 3s  ease-in-out;
    position: absolute;
  }
.loader-2{
    height: 4px;
    width: 8px;
    background: var(--glow-color);
    animation: spin-2 3s  0.4s ease-in-out;
    position: absolute;
    left: -100%;
}
.loader-2.--next-1{
    animation: spin-2 3s  0.6s ease-in-out;
    background: var(--glow-color);
}
.loader-2.--next-2{
    animation: spin-2 3s  0.8s ease-in-out;
    background: var(--glow-color);
}
  
  @keyframes spin {
    0% { 
        left: 0px;
        width: 0px
     }
    50% { 
        width: 100%; 
        }
    100%{
        right: 0px;
        left: auto;
        width: 0px;
    }
  }
  @keyframes spin-2{
    0% { 
        left: -100%;        
     }
    100% { 
        left: 100vw;
        
        }
  }

#pwa-button img {
    margin-right: 16px;
}

#pwa-button p {
    color: blue;
    font-family: monospace;
    letter-spacing: 0;
}